### Method

# Ggit Rebase commit

#### Declaration [src]

    GgitOId*
    ggit_rebase_commit (
      GgitRebase* rebase,
      GgitSignature* author,
      GgitSignature* committer,
      const gchar* message,
      GError** error
    )

#### Description [src]

Commits the current patch. You must have resolved any conflicts that were introduced during the patch application from the `ggit_rebase_next()` invocation.

#### Parameters

`author`

  Type: `GgitSignature`

  A `GgitSignature` or `NULL` to keep the author from the original commit.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`committer`

  Type: `GgitSignature`

  A `GgitSignature`.

  The data is owned by the caller of the method.

`message`

  Type: `const gchar*`

  The message for this commit, or `NULL` to use the message from the original commit.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitOId`

A `GgitOId` of the newly created commit or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.